#include "pattern.hh"

vertex_kind_map::type vertex_kind_property(pattern_t & _pattern)
{
  vertex_kind_t pname;
  return get(pname, _pattern);
}

vertex_info_map::type vertex_info_property(pattern_t & _pattern)
{
  vertex_info_t pname;
  return get(pname, _pattern);
}

pedge_type_map::type edge_type_property(pattern_t & _pattern)
{
  pattern_edge_t pname;
  return get(pname, _pattern);
}

std::pair< psuccessor_iterator, psuccessor_iterator >
psuccessors(pvertex_id & _v_id, pattern_t & _pattern)
{
  graph_traits< pattern_t >::out_edge_iterator ei, ei_end;
  tie(ei, ei_end) = out_edges(_v_id , _pattern);
  psuccessor_iterator pi(ei, & _pattern), pi_end(ei_end, & _pattern);
  return std::make_pair(pi, pi_end);
}
